Bug 9954 - CSV profile encoding not selected on editing
Summary: CSV profile encoding not selected on editing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-29 13:53 UTC by Fridolin Somers
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.08 KB, patch)
2013-03-29 13:59 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 9954 - CVS profile encoding not selected in edition (2.14 KB, patch)
2013-03-31 03:48 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9954 - CVS profile encoding not selected in edition (2.27 KB, patch)
2013-03-31 11:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2013-03-29 13:53:17 UTC
When editing an existing CSV profile, its encoding is not selected in combobox, first value "ascii" is always selected.
Comment 1 Fridolin Somers 2013-03-29 13:59:32 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-03-31 03:48:25 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-31 11:43:09 UTC
Created attachment 17086 [details] [review]
[PASSED QA] Bug 9954 - CVS profile encoding not selected in edition

When editing an existing CSV profile, its encoding is not selected in combobox, first value "ascii" is always selected.

This patch corrects this (surely appeared with TT conversion) and also the fact that "uft8" is by default selected in creation form.

Test plan:
- Go to Tools/CSV Profiles
- In "New prodile" tab
=> Check that "uft8" is selected
- Create a new profile by entering name, an encoding (other than the first), and MARC fields
- Click on "Edit existing profile" tab
- Select created profile
=> Check that specified encoding is selected

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Template only change.
Fixed tabs.
Comment 4 Jared Camins-Esakov 2013-03-31 13:00:55 UTC
This patch has been pushed to master.
Comment 5 Chris Cormack 2013-04-02 07:37:28 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.5 and 3.8.12